<?php
/**
 * Copy Right IJH.CC
 * Each engineer has a duty to keep the code elegant
 * $Id$
 */

if(!defined('__CORE_DIR')){
    exit("Access Denied");
}

class Mdl_Member_Addr extends Mdl_Table
{   
  
    protected $_table = 'member_addr';
    protected $_pk = 'addr_id';
    protected $_cols = 'addr_id,uid,contact,mobile,city_id,area_id,addr,is_default,dateline,road';


    public function create($data,$checked=false)
    {
        return $this->db->insert($this->_table, $data, true);
    }
    

    public function update($addr_id,$data,$checked=false)
    {
        return $this->db->update($this->_table, $data, self::field($this->_pk, $addr_id));
    }
    
    
}